package com.gic.haoban.manage.web.vo.moment;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.CardNoJsonSeralizer;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;

public class MomentDataMemberVO implements Serializable {

    private String mbrId ;
    private String memberId ;
    /**
     * 会员名称
     */
    private String memberName;

    private String memberImage;

    /**
     * 会员昵称
     */
    private String memberNick;

    @JsonSerialize(using = CardNoJsonSeralizer.class)
    private String memberCardNo;

    /**
     * 会员手机号
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String memberPhone;

    private String storeId ;
    private String clerkId ;
    private String clerkCode;
    private String clerkName;
    private String storeName;
    private String storeCode;
    /**
     * 转化金额
     */
    private Double matlConvsAmt ;

    /**
     * 1：非会员 2：会员已注销 3：正常
     */
    private Integer memberScene;

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getMemberScene() {
        return memberScene;
    }

    public void setMemberScene(Integer memberScene) {
        this.memberScene = memberScene;
    }

    public String getMbrId() {
        return mbrId;
    }

    public void setMbrId(String mbrId) {
        this.mbrId = mbrId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Double getMatlConvsAmt() {
        return matlConvsAmt;
    }

    public void setMatlConvsAmt(Double matlConvsAmt) {
        this.matlConvsAmt = matlConvsAmt;
    }
}
